gnutls_srtp_set_profile(3)

NAME
gnutls_srtp_set_profile - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_srtp_set_profile(gnutls_session_t session, gnutls_srtp_profile_t profile);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

gnutls_srtp_profile_t profile
    is the profile id to add.

DESCRIPTION
This function is to be used by both clients and servers, to declare what SRTP profiles they support, to negotiate with the peer.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error code is returned. Since 3.1.4

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2001-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/